### Class

# SpiceClientGLib URI

#### Description [src]

    final class SpiceClientGLib.URI : GObject.Object
    {
      /* No available fields */
    }

The `SpiceURI` struct is opaque and cannot be accessed directly.

#### Ancestors

- GObject

#### Instance methods

###### spice_uri_get_hostname

No description available.

###### spice_uri_get_password

No description available.

###### spice_uri_get_port

No description available.

###### spice_uri_get_scheme

No description available.

###### spice_uri_get_user

No description available.

###### spice_uri_set_hostname

No description available.

###### spice_uri_set_password

No description available.

###### spice_uri_set_port

No description available.

###### spice_uri_set_scheme

No description available.

###### spice_uri_set_user

No description available.

###### spice_uri_to_string

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### SpiceClientGLib.URI:hostname

No description available.

###### SpiceClientGLib.URI:password

No description available.

###### SpiceClientGLib.URI:port

No description available.

###### SpiceClientGLib.URI:scheme

No description available.

###### SpiceClientGLib.URI:user

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct SpiceClientGLibURIClass {
      /* no available fields */
    }

The `SpiceURIClass` struct is opaque and cannot be accessed directly. It is class structure for `SpiceURI`.